<?php
/**
 * BulkOperationStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * BulkOperationStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус массовой операции: * 1 - Новая * 2 - В процессе * 3 - Завершена * 4 - Ошибка
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BulkOperationStatusEnum
{
    
    /** Новая */
    public const NEW = 1;
    
    /** В процессе */
    public const IN_PROGRESS = 2;
    
    /** Завершена */
    public const COMPLETED = 3;
    
    /** Ошибка */
    public const ERROR = 4;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::IN_PROGRESS,
            self::COMPLETED,
            self::ERROR,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новая',
            self::IN_PROGRESS => 'В процессе',
            self::COMPLETED => 'Завершена',
            self::ERROR => 'Ошибка',
        ];
    }
}


